Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Case_Label Class Reference

****************************************************************. More...

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Case_Label:

[legend]
Collaboration diagram for TAO_PSDL_Case_Label:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Case_Label (TAO_PSDL_Node *type)
| ****************************************************************. More...
| TAO_PSDL_Case_Label (TAO_PSDL_Node *type, TAO_PSDL_Node *const_exp)
| TAO_PSDL_Case_Label (TAO_PSDL_Node *type, TAO_PSDL_Node *const_exp, TAO_PSDL_Node *case_label)
virtual | ~TAO_PSDL_Case_Label (void)
TAO_PSDL_Node * | type (void) const
| Get the value. More...
TAO_PSDL_Node * | const_exp (void) const
TAO_PSDL_Node * | case_label (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
TAO_PSDL_Node * | type_
| The values. More...
TAO_PSDL_Node * | const_exp_
TAO_PSDL_Node * | case_label_

## Detailed Description

****************************************************************.

## Constructor & Destructor Documentation

TAO_PSDL_Case_Label::TAO_PSDL_Case_Label | ( | TAO_PSDL_Node * | type | ) |

| ****************************************************************.

TAO_PSDL_Case_Label::TAO_PSDL_Case_Label | ( | TAO_PSDL_Node * | type,
|  | TAO_PSDL_Node * | const_exp
| ) |

TAO_PSDL_Case_Label::TAO_PSDL_Case_Label | ( | TAO_PSDL_Node * | type,
|  | TAO_PSDL_Node * | const_exp,
|  | TAO_PSDL_Node * | case_label
| ) |

TAO_PSDL_Case_Label::~TAO_PSDL_Case_Label | ( | void |  | ) | `[virtual]`

## Member Function Documentation

int TAO_PSDL_Case_Label::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Case_Label::case_label | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Case_Label::const_exp | ( | void |  | ) | const

TAO_PSDL_Node * TAO_PSDL_Case_Label::type | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Case_Label::case_label_`[private]`

TAO_PSDL_Node* TAO_PSDL_Case_Label::const_exp_`[private]`

TAO_PSDL_Node* TAO_PSDL_Case_Label::type_`[private]`

| The values. Reimplemented from TAO_PSDL_Node.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp